Bug 1025086 (CVE-2017-0359)

Summary: VUL-0: CVE-2017-0359 diffoscope: writes to arbitrary locations on disk based on the contents of an untrusted archive
Product: [Novell Products] SUSE Security Incidents Reporter: Matthias Gerstner <matthias.gerstner>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: jsegitz, ptesarik, smash_bz, tcech
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/180406/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Matthias Gerstner 2017-02-13 17:11:27 UTC
diffoscope may write to arbitrary locations on disk depending on the contents of an untrusted archive.

Upstream patch:

https://anonscm.debian.org/git/reproducible/diffoscope.git/commit/?id=632a40828a54b399787c25e7fa243f732aef7e05

diffoscope is only in factory.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1421770
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-0359
Comment 1 Swamp Workflow Management 2017-02-13 23:02:23 UTC
bugbot adjusting priority
Comment 2 Johannes Segitz 2017-08-01 12:08:35 UTC
please submit
Comment 4 Tomas Cech 2017-08-02 16:26:34 UTC
Yes, it's mine, thanks.

I've updated package to 3h old release and prepared https://build.opensuse.org/request/show/514078
Comment 6 Jan Matejek 2018-01-02 15:11:34 UTC
this seems to have been fixed back in August, so closing
Comment 7 Jan Matejek 2018-01-02 15:17:36 UTC
hmm, but it got into Leap in the meantime.
submitting the Factory version to Leap as MR 561144 and handing over to security
Comment 8 Swamp Workflow Management 2018-01-02 15:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1025086) was mentioned in
https://build.opensuse.org/request/show/561144 42.3 / diffoscope
Comment 9 Swamp Workflow Management 2018-01-10 11:07:46 UTC
openSUSE-SU-2018:0060-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1025086
CVE References: CVE-2017-0359
Sources used:
openSUSE Leap 42.3 (src):    diffoscope-85-3.1
Comment 10 Marcus Meissner 2018-02-21 07:08:43 UTC
released